# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TColumn

Packages that use TColumn
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TColumn in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TColumn in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`class`
`TColumn`
Fields in com.databricks.jdbc.model.client.thrift.generated with type parameters of type TColumn
Modifier and Type
Field
Description
`List<TColumn>`
TRowSet.`columns`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TColumn
Modifier and Type
Method
Description
`static TColumn`
TColumn.`binaryVal(TBinaryColumn value)`
`static TColumn`
TColumn.`boolVal(TBoolColumn value)`
`static TColumn`
TColumn.`byteVal(TByteColumn value)`
`TColumn`
TColumn.`deepCopy()`
`static TColumn`
TColumn.`doubleVal(TDoubleColumn value)`
`static TColumn`
TColumn.`i16Val(TI16Column value)`
`static TColumn`
TColumn.`i32Val(TI32Column value)`
`static TColumn`
TColumn.`i64Val(TI64Column value)`
`static TColumn`
TColumn.`stringVal(TStringColumn value)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TColumn
Modifier and Type
Method
Description
`List<TColumn>`
TRowSet.`getColumns()`
`Iterator<TColumn>`
TRowSet.`getColumnsIterator()`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TColumn
Modifier and Type
Method
Description
`void`
TRowSet.`addToColumns(TColumn elem)`
`int`
TColumn.`compareTo(TColumn other)`
`boolean`
TColumn.`equals(TColumn other)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TColumn
Modifier and Type
Method
Description
`TRowSet`
TRowSet.`setColumns(List<TColumn> columns)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TColumn
Modifier
Constructor
Description
``
`TColumn(TColumn other)`